#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX 450

struct tah {
  int a,b;
};

int a,b,n;
tah at[MAX],bt[MAX],ot[MAX];
int at_len,bt_len,ot_len;

int ot_cmp(const void *e1,const void *e2) {
  int dif=((tah *)e1)->a + ((tah *)e1)->b 
         -((tah *)e2)->a - ((tah *)e2)->b;
  if (dif) return -dif;
  return ((tah *)e2)->a - ((tah *)e1)->a;
}

void rest_of_game(int a,int b,tah *bt,int bt_len,tah *ot, int ot_len,int *ao,int *bo) {
  for (int i=0;i<bt_len;i++) b+=bt[i].b;

  int alice=0; //bob's turn
  int i=0;
  while (i<ot_len) {
    int j=i+1;
    while (j<ot_len && ot[j].a+ot[j].b == ot[i].a+ot[i].b) j++;
    j--;

    int ai=i,bi=j;
    while (ai<=bi) {
      if (alice) a+=ot[ai++].a;
      else b+=ot[bi--].b;
      alice^=1;
    }

    i=j+1;
  }

  *ao=a;
  *bo=b;
}

int main(void) {
  while (a=-1, scanf("%d %d %d",&a,&b,&n), a!=-1) {
    at_len=bt_len=ot_len=0;
    for (int i=0;i<n;i++) {
      int ia,ib;
      char al,bo;
      scanf("%d %d %c %c",&ia,&ib,&al,&bo);
      tah *that;
      if (al=='S') that=at+at_len++;
      else if (bo=='S') that=bt+bt_len++;
      else that=ot+ot_len++;
      that->a=ia;
      that->b=ib;
    }

    qsort(ot,ot_len,sizeof(tah),ot_cmp);

    //Alice bere vse sve...
    for (int i=0;i<at_len;i++) a+=at[i].a;

    //Dve moznosti - Alice vezme nejvetsi spolecny
    int as,bs;
    int a1,b1;

    as=a;bs=b;
    if (ot_len) { // budu tahnout
      as+=ot[0].a;
    }
    rest_of_game(as,bs,bt,bt_len,(ot_len)?ot+1:ot,(ot_len)?ot_len-1:ot_len,&a1,&b1);

    if (bt_len) { //Seberu Bobovi tah
      int a2,b2;
      as=a;
      bs=b;

      int best=0;
      int bestval=bt[0].a+bt[0].b;
      for (int i=1;i<bt_len;i++) {
	if (bt[i].a+bt[i].b > bestval) {
	  bestval=bt[i].a+bt[i].b;
	  best=i;
	}
      }
      as+=bt[best].a;
      bt[best].a=0;
      bt[best].b=0;
      rest_of_game(as,bs,bt,bt_len,ot,ot_len,&a2,&b2);

      //      printf("(%d,%d)-(%d,%d) ",a1,b1,a2,b2);
      if (  (a2-b2 > a1-b1) || ( (a2-b2 == a1-b1) && a2>a1)  ) {
	a1=a2;
	b1=b2;
      }
    }

    printf("%d %d\n",a1,b1);
  }
  return 0;
}
