#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX 130

int n,m;
char mat[MAX][MAX];
int s[MAX][MAX];
int s_len[MAX];

int obsolete;
int count;

int klika[MAX];
int klika_len;

int rec(int v) {
  if (count>1000) return 0;

  int was_any_klika=0;
  for (int si=0;si<s_len[v];si++) if (s[v][si]>v) {
    int otheri;
    for (otheri=0;otheri<klika_len;otheri++)
      if (!mat[s[v][si]][klika[otheri]]) break;
    if (otheri<klika_len) continue;

    klika[klika_len++]=s[v][si];
    was_any_klika+=rec(s[v][si]);
    if (count>1000) return 0;
    klika_len--;
  }

  if (!was_any_klika) {
    int j=0;
    for (int pred=0;pred<v;pred++) {
      if (klika[j]<=pred) {
	while (j<klika_len && klika[j]<=pred) j++;
	j--;
      }
      if (klika[j]==pred) continue;

      int ki;
      for (ki=0;ki<klika_len;ki++)
	if (!mat[pred][klika[ki]])
	  break;
      if (ki>=klika_len) return 0;
    }
    count++;
    for(int i=0;i<klika_len;i++) printf("%d ",klika[i]);putchar('\n');
    return 1;
  }

  return was_any_klika;
}

int main(void) {
  while (n=-1, scanf("%d %d",&n, &m), n!=-1) {
    for (int i=0;i<n;i++) for (int j=0;j<n;j++) mat[i][j]=0;
    for (int i=0;i<n;i++) s_len[i]=0;

    for (int i=0;i<m;i++) {
      int a,b;
      scanf("%d %d",&a, &b); a--; b--;
      mat[a][b]=mat[b][a]=1;
      s[a][s_len[a]++]=b;
      s[b][s_len[b]++]=a;
    }

    count=0;
    for (int i=0;i<n;i++) {
      obsolete=i-1;
      klika_len=1;
      klika[0]=i;
      rec(i);
    }

    if (count>1000) puts("Too many maximal sets of friends.");
    else printf("%d\n",count);
  }

  return 0;
}
